#
# spec file for package perl-File-ShareDir
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-File-ShareDir
%define real_name File-ShareDir
Summary:        Locate per-dist and per-module shared files
Url:            http://search.cpan.org/perldoc?File::ShareDir
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Version:        1.03
Release:        13.3
Source:         %{real_name}-%{version}.tar.gz
BuildRequires:  perl-macros
BuildRequires:  perl-Class-Inspector
Requires:       perl-Class-Inspector
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
The intent of File::ShareDir is to provide a companion to Class::Inspector and
File::HomeDir, modules that take a process that is well-known by advanced Perl
developers but gets a little tricky, and make it more available to the larger
Perl community.

Quite often you want or need your Perl module (CPAN or otherwise) to have
access to a large amount of read-only data that is stored on the file-system at
run-time.

On a linux-like system, this would be in a place such as /usr/share, however
Perl runs on a wide variety of different systems, and so the use of any one
location is unreliable.

Perl provides a little-known method for doing this, but almost nobody is aware
that it exists. As a result, module authors often go through some very strange
ways to make the data available to their code.

The most common of these is to dump the data out to an enormous Perl data
structure and save it into the module itself. The result are enormous
multi-megabyte .pm files that chew up a lot of memory needlessly.

Author:
-------
    Adam Kennedy <adamk@cpan.org>


%prep
%setup -n %{real_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc Changes README MANIFEST
%dir %perl_vendorlib/File
%dir %perl_vendorlib/auto/share
%dir %perl_vendorlib/auto/share/dist
%dir %perl_vendorlib/auto/share/dist/File-ShareDir
%dir %perl_vendorlib/auto/share/dist/File-ShareDir/subdir
%dir %perl_vendorlib/auto/share/module
%dir %perl_vendorlib/auto/share/module/File-ShareDir
%dir %perl_vendorarch/auto/File
%dir %perl_vendorarch/auto/File/ShareDir
%perl_vendorlib/File/ShareDir.pm
%perl_vendorlib/auto/share/dist/File-ShareDir/sample.txt
%perl_vendorlib/auto/share/dist/File-ShareDir/subdir/sample.txt
%perl_vendorlib/auto/share/module/File-ShareDir/test_file.txt
%{_mandir}/man3/File::ShareDir*

%changelog
* Fri Nov 18 2011 coolo@suse.com
- update to 1.03
  - Upgraded to Module::Install 1.00
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Sun Mar 21 2010 lars@linux-schulserver.de
- update to 1.02:
  + Upgraded to Module::Install 0.95
  + Removed Params::Util dep
- removed dependency to perl-Params-Util package
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 1.01
